This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
// I'm a single line comment | |
/* | |
I'm a comment too | |
multi-line style | |
*/ |
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
// these are references that Tekla Structures need to understand the code we've written. | |
using Tekla.Structures; | |
using Tekla.Structures.Model; | |
using Tekla.Structures.Drawing; | |
namespace Tekla.Technology.Akit.UserScript | |
{ | |
public class Script | |
{ | |
public static void Run(Tekla.Technology.Akit.IScript akit) |
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
// intialises a new Model instance | |
Model model = new Model(); | |
// stores the current workplane for it to restore later | |
TransformationPlane transformationplane = model.GetWorkPlaneHandler().GetCurrentTransformationPlane(); | |
// resets the workplane | |
model.GetWorkPlaneHandler().SetCurrentTransformationPlane(new TransformationPlane()); | |
// initialises a new Picker instance | |
Tekla.Structures.Model.UI.Picker picker = new Tekla.Structures.Model.UI.Picker(); | |
// calls for the user to pick a point and stores it in 'point' | |
Tekla.Structures.Geometry3d.Point point = picker.PickPoint(); |
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
// Generated by Tekla.Technology.Akit.ScriptBuilder | |
namespace Tekla.Technology.Akit.UserScript | |
{ | |
public class Script | |
{ | |
public static void Run(Tekla.Technology.Akit.IScript akit) | |
{ | |
// ends current command | |
akit.CommandEnd(); |